> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.coperniq.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.coperniq.io/_mcp/server.

# Get Workflow

GET https://api.coperniq.io/v1/workflows/{workflow_id}

Retrieve details of a specific workflow

Reference: https://docs.coperniq.io/api-reference/workflows/get-workflow

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `workflow_id` (integer, required) — Workflow identifier

## Response

### 200

Workflow details

- `id` (integer, optional) — Workflow identifier
- `name` (string, optional) — Workflow name
- `description` (string, optional, nullable) — Workflow description
- `type` (enum, optional) — Workflow type
  - Allowed values: `PROJECT`
- `createdAt` (string, optional) — Creation timestamp
- `updatedAt` (string, optional) — Last update timestamp
- `createdBy` (WorkflowCreatedBy, optional, nullable)
- `phases` (list of WorkflowPhasesItems, optional)

## Errors

### 401 Unauthorized Error

Authentication failed

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `NOT_FOUND`

### 404 Not Found Error

Resource not found

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `NOT_FOUND`

## Types

### WorkflowCreatedBy

- `id` (integer, optional) — User identifier
- `firstName` (string, optional) — User first name
- `lastName` (string, optional) — User last name
- `avatarUrl` (string, optional, nullable) — URL to user avatar image

### WorkflowPhasesItems

- `id` (integer, optional) — Phase identifier
- `name` (string, optional) — Phase name
- `type` (string, optional) — Phase type
- `description` (string, optional, nullable) — Phase description
- `redSla` (integer, optional, nullable) — Red SLA (Service Level Agreement) in days
- `yellowSla` (integer, optional, nullable) — Yellow SLA (Service Level Agreement) in days

## Examples

**Response**

```json
{
  "id": 1,
  "name": "string",
  "description": "string",
  "type": "PROJECT",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "createdBy": {
    "id": 1,
    "firstName": "string",
    "lastName": "string",
    "avatarUrl": "string"
  },
  "phases": [
    {
      "id": 1,
      "name": "string",
      "type": "string",
      "description": "string",
      "redSla": 1,
      "yellowSla": 1
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.coperniq.io/v1/workflows/1"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.coperniq.io/v1/workflows/1';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.coperniq.io/v1/workflows/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.coperniq.io/v1/workflows/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.coperniq.io/v1/workflows/1")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.coperniq.io/v1/workflows/1', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.coperniq.io/v1/workflows/1");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.coperniq.io/v1/workflows/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```